# Invoices

The WarpStream API enables users to retrieve current and past invoices. The responses from this API can be used to monitor costs, and also analyze historical billing data.

The [/get\_pending\_invoice](/warpstream/reference/api-reference/invoices/get-pending-invoice.md) endpoint retrieves the current billing period invoice, providing visibility into charges accrued so far in the billing cycle.

The [/get\_past\_invoice](/warpstream/reference/api-reference/invoices/get-past-invoice.md) endpoint retrieves a single invoice from a previous billing period. The date passed in `"date_start"` does not need to be an exact match for the beginning of the billing cycle. If the date falls within a billing cycle for which an invoice exists, the API will return a response containing the invoice for the full billing period. For example, if the billing period is from April 1 through April 30, passing `"date_start": "2025-04-15"` will return the invoice for the period starting April 1.

Both endpoints group by Tenant ID, then Workspace ID, then Virtual Cluster ID, providing the ability to analyze line-item-level detail, or rollups aggregated by entity. Finally, account-level charges (such as support billing) and credit consumption are displayed at the top level of the schema.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/api-reference/invoices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
